# $ this file belongs to the Molcas repository $
#
# This file is a part of EMIL enterpreter. editing this file might break your molcas installation
#
$expl_currdir=$ENV{q/CurrDir/};
$expl_workdir=$ENV{q/WorkDir/};
$expl_project=$ENV{q/Project/};
$expl_output= $ENV{q/MOLCAS_OUTPUT/};
 print qq/  |   Project         = $expl_project$CR/;
 print qq/  |   Submitted from  = $expl_currdir$CR/;
 print qq/  |   Scratch area    = $expl_workdir$CR/;
 print qq/  |   Save outputs to = $expl_output$CR/;
 print qq/  |   Molcas          = $MOLCAS$CR/;
 print qq/  |                                                                   $CR/;

 opendir (WW, qq/$WorkDir/);
 @WD=grep ( -f qq!$WorkDir/$_! , readdir (WW));
 closedir (WW);
 $found=0;
   foreach $tempfile (@WD)
     {
        next if ($tempfile=~/molcas/);
        next if ($tempfile=~/paraops/);
        next if ($tempfile=~/\.input$/);
        next if ($tempfile=~/\.inp$/);
        next if ($tempfile=~/\.log$/);
        next if ($tempfile=~/\.err$/);
        $found=1;
     }
 if($found==1)
   {
     print qq/  |   Scratch area is NOT empty$CR/;
   }
 else
   {
     print qq/  |   Scratch area is empty$CR/;
   }
 print qq/  |                                                                   $CR/;
  $ic=0;
@donot_reprint=(q/MOLCAS_PROJECT/,q/MOLCAS_WORKDIR/,
q/MOLCAS/,q/MOLCAS_STAMP/,q/MOLCAS_SUBMIT_DIR/,q/MOLCAS_INFO/,q/MOLCAS_TIME/,
q/MOLCASDISK/,q/MOLCASMEM/,q/MOLCAS_ITER/,q/MOLCAS_OLDPWD/,q/MOLCAS_OUTPUT/,
q/MOLCAS_TEST/,q/MOLCAS_LOG/,q/MOLCAS_ECHO_INPUT/,q/MOLCAS_ISDEV/,
q/MOLCAS_SILENT_LIC/,q/MOLCAS_EDITOR/,q/MOLCAS_LICENSE/);
  foreach $ee (keys %ENV)
    {
      if($ee=~/^MOLCAS/)
        {
        $toprint=1;
        foreach $eee (@donot_reprint)
          {
            if ($ee eq $eee) {$toprint=0; last;}
          }
          next if ($toprint==0);
          $valee=$ENV{qq/$ee/};
          chomp($valee);
          printf (qq/  |%18s = %-20s$CR/,$ee,$valee);
          $ic++;
        }

    }
 print qq/  |                                                                   $CR/;
 print qq/   -------------------------------------------------------------------$CR/;
