#!/bin/sh
# $ this file belongs to the Molcas repository $

if [ ! -f "update.tar.gz" ]; then
echo "file not found"
exit 1
fi
PWD=`pwd`
if [ "$PWD" != "$MOLCAS" ]; then
mv update.tar.gz $MOLCAS/
fi

echo "Untar Downloads...";
cd $MOLCAS
gzip -d -f update.tar.gz
tar -xf update.tar
if [ "$?" != '0' ]; then
 echo  "Tar file broken"
exit 1
fi
  if [ -f 'nolicense' ]; then
   cat nolicense
   rm -f nolicense
   exit 1
  fi
   
rm -f "$MOLCAS/update.tar"

echo "Installing..."

  molcas boot
echo "Done"
  
exit 0

