#!/bin/sh
# $ this file belongs to the Molcas repository $


if [ ! -f "update.tar" ]; then
echo "file not found"
exit 1
fi
PWD=`pwd`
if [ "$PWD" != "$MOLCAS" ]; then
mv update.tar $MOLCAS/
fi

cd $MOLCAS
tar -xf update.tar
if [ "$?" != '0' ]; then
 echo  "Tar file broken"
exit 1
fi

  if [ -f 'nolicense' ]; then
   cat nolicense
   rm -f nolicense
   exit 1
  fi
   
./apply

rm -f "$MOLCAS/update.tar"

echo
echo "To build MOLCAS run make in $MOLCAS directory"
echo
exit 0

