#! /usr/bin/env perl
# molcas.plx $ this file belongs to the Molcas repository $

use 5.008;
use POSIX;

$MOLCAS=$ENV{q/MOLCAS/} || die qq/This script can run only in Molcas environment\n/;


 if($ARGV[0] eq 'getpatch' || $ARGV[0] eq 'getextra') 
   {
   if ( -f "$MOLCAS/molcas.rte" )
   {
     system('molcas mkindex');
     system('molcas boot');
   }
   else
   {
     print "Feature $ARGV[0] is not available at the moment\n";
     print "You have to run ./configure\n";
     exit 0;  
   }
  }
 &run_tools();

exit 0;

sub run_tools()
{
#----------------------------------------------------------------------------
# Tools from sbin
#----------------------------------------------------------------------------
if ( scalar(@ARGV) > 0 )
{
if ( -x "$MOLCAS/sbin/$ARGV[0]" )
 {
  $tool=$ARGV[0];
  shift;
   open(TOOL, "<$tool");
   $isBash=<TOOL>;
   close(TOOL);
   if( $isBash=~/perl/)
   {
     $rc=eval{ require "$MOLCAS/sbin/$tool"}; warn $@ if $@;
   }
   else
   {  
     $rc=system("$MOLCAS/sbin/$tool @ARGV");
   }  
  $rc=$rc >> 8;
  exit ($rc);  
}
else
 {
    print "Tool is not found\n";
    print "most probably you have to compile molcas first!\n";
    
 }
}

}

